<?php

/**
 * OpenKM, Open Knowledge Management System S.L.  (http://www.openkm.com)
 * Copyright (c) 2006-2017
 *
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is commercial software; you can use it under the terms of the
 * EULA - OpenKM SDK End User License Agreement as published by OpenKM Knowledge Management System S.L.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * EULA - OpenKM SDK End User License Agreement for more details:
 * http://docs.openkm.com/kcenter/view/licenses/eula-openkm-sdk-end-user-license-agreement.html
 */

namespace openkm\bean;

/**
 * QueryResult
 *
 * @author sochoa
 */
class QueryResult {

    private $document;
    private $folder;
    private $excerpt;
    private $score;

    function __construct() {
        
    }

    public function getDocument() {
        return $this->document;
    }

    public function getFolder() {
        return $this->folder;
    }

    public function setDocument($document) {
        $this->document = $document;
    }

    public function setFolder($folder) {
        $this->folder = $folder;
    }

    public function getExcerpt() {
        return $this->excerpt;
    }

    public function setExcerpt($excerpt) {
        $this->excerpt = $excerpt;
    }

    public function getScore() {
        return $this->score;
    }

    public function setScore($score) {
        $this->score = $score;
    }

    public function toString() {
        return "{node=" . $this->node . ", attachment=" . $this->attachment . ", excerpt=" . $this->excerpt . ", score=" . $this->score . "}";
    }

}

?>